Trying to update old mods, have some questions..

CrazyDaisy
Member
 
Posts: 12
Joined: Fri Oct 31, 2014 22:25

Trying to update old mods, have some questions..

by CrazyDaisy » Mon Sep 05, 2016 15:48

Greetings,

I'm trying to update some old mods and maybe expand them. I am pretty new to minetest mods so there are some errors I can't seem to work out and can't seem to find out how to fix. The old mods seem to be working just fine but I want to clean them up to the point of no errors when running but I need some help. Examples would be lovely, I learn best by example.

One error I see a lot is "WARNING[Main]: Field "light_propagates": Deprecated; determined from paramtype". There are nodes in a couple of the old mods that use light_propagates = true. Is there any replacement code for that that is updated?

Also getting this error which is to me rather cryptic: WARNING[Main]: NodeDefManager: Ignoring CONTENT_IGNORE redefinition

Not related to the old mods but just spotted it and curious is "WARNING[Main]: Undeclared global variable "modname" accessed at /path/to/minetest/mods/worldtime/worldtime.lua:33"

I think this is the only other error I'm having trouble with: WARNING[Main]: Field "metadata_name": Deprecated; use on_add and metadata callbacks

Help with these errors would be appreciated. Once the old mods are updated and running without errors I'll be releasing them. These mods are: christmas, fakeblocks, industrial, jail, moarcraft, replicator, and various. I used to play minetest a bit in the past and liked these mods. Decided to play some more minetest and the mods were spouting off so many errors, finally got them down to the above, except for replicator. I haven't tested replicator much. It seems to work but that's all I know at this time about it.
 

User avatar
qwertymine3
Member
 
Posts: 202
Joined: Wed Jun 03, 2015 14:33
GitHub: Qwertymine
In-game: qwertymine3

Re: Trying to update old mods, have some questions..

by qwertymine3 » Mon Sep 05, 2016 16:38

CrazyDaisy wrote:Greetings,
One error I see a lot is "WARNING[Main]: Field "light_propagates": Deprecated; determined from paramtype". There are nodes in a couple of the old mods that use light_propagates = true. Is there any replacement code for that that is updated?


Replace with:
Code: Select all
    paramtype = "light",


I can't help with the rest
Avatar by :devnko-ennekappao:
 

CrazyDaisy
Member
 
Posts: 12
Joined: Fri Oct 31, 2014 22:25

Re: Trying to update old mods, have some questions..

by CrazyDaisy » Mon Sep 05, 2016 17:15

qwertymine3 wrote:
CrazyDaisy wrote:Greetings,
One error I see a lot is "WARNING[Main]: Field "light_propagates": Deprecated; determined from paramtype". There are nodes in a couple of the old mods that use light_propagates = true. Is there any replacement code for that that is updated?


Replace with:
Code: Select all
    paramtype = "light",


I can't help with the rest


Fixed, thank you. Now need to figure out the other errors.
 


Return to Modding Discussion



Who is online

Users browsing this forum: No registered users and 2 guests